Subject: Re: [PATCH net-deletions] net: remove ax25 and amateur radio (hamradio) subsystem

From: Stephen Hemminger <[email-masked]>
Date: Tue, 21 Apr 2026 10:14:00 -0700

On Tue, 21 Apr 2026 12:17:23 -0400
Dan Cross <[email-masked]> wrote:

> On Tue, Apr 21, 2026 at 9:55 AM Stephen Hemminger
> <[email-masked]> wrote:
> > On Mon, 20 Apr 2026 19:18:23 -0700
> > Jakub Kicinski <[email-masked]> wrote:  
> > > Remove the amateur radio (AX.25, NET/ROM, ROSE) protocol implementation
> > > and all associated hamradio device drivers from the kernel tree.
> > > This set of protocols has long been a huge bug/syzbot magnet,
> > > and since nobody stepped up to help us deal with the influx
> > > of the AI-generated bug reports we need to move it out of tree
> > > to protect our sanity.
> > >
> > > The code is moved to an out-of-tree repo:
> > > https://github.com/linux-netdev/mod-orphan
> > > if it's cleaned up and reworked there we can accept it back.  
> >
> > It would be good if these protocols could be done in userspace
> > or with BPF?  
> 
> Consensus for a userspace implementation is what folks on linux-hams
> seem to be converging on.
> 
> The amateur radio protocols are more or less specific to low-speed
> links, they are not particularly coupled to anything else that
> requires running in the kernel, and the main coupling point (IP over
> AX.25) can be implemented via TAP/TUN.
> 
> There are several popular packages that already implement AX.25 and
> NET/ROM in user-space (for the interested, LinBPQ seems to be the
> canonical example).  The main missing piece is ROSE, but it is likely
> easier to add that to an existing package, or potentially something
> brand new, than keep it in the kernel.
> 
> There's no compelling reason to keep these protocols in the kernel,
> whether in-tree or out-of-tree; at least, one has not been
> articulated.
> 
>         - Dan C.

Thanks, my other concern is carrying support for these in ip commands.
If not kernel based, then iproute2 doesn't need to worry.